# Generated from cute_logger-0.1.13.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cute_logger

Name: rubygem-%{gem_name}
Version: 0.1.13
Release: 1%{?dist}
Summary: This gem provides accesible methods for doing the application logging in a simple manner
License: MIT
URL: https://github.com/newint33h/cute_logger
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5
# BuildRequires: rubygem(minitest) < 6
BuildArch: noarch

%description
Cute Logger provides globally accesible methods to do the logging. It also
provides a log parser command for easy view during development. The gem
includes mechanisms for log rotation, improved exception logging and nice
formatted log viewing among many other features and best practices.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/cute_log
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/cute_logger.gemspec
%doc %{gem_instdir}/docs

%changelog
* Mon Aug 23 2021 mockbuilder - 0.1.13-1
- Initial package
